Description

This patch changes the default encoding for CSV exports from :general_csv_encoding to UTF-8.

UTF-8 is now the standard encoding format and is crucial for exporting data with multiple languages or Unicode emojis to prevent

character corruption. Therefore, using UTF-8 is the best choice in most cases.

Currently, Redmine defaults to :general_csv_encoding (ISO-8859-1 for English, CP932 for Japanese) for CSV exports, requiring

users to manually select UTF-8 each time, which is inconvenient. Switching the default to UTF-8 will simplify this process.

The default was originally set to :general_csv_encoding for compatibility with older versions of Excel, which didn’t support UTF-8.

However, modern Excel versions can read UTF-8 encoded CSV files with a BOM. Since Redmine’s UTF-8 exports include a BOM

(see #7037), changing the default to UTF-8 will not affect Excel compatibility.
Associated revisions

Revision 23007 - 2024-09-01 06:25 - Go MAEDA

Set UTF-8 as the default CSV export encoding (#41202).

Patch by Go MAEDA (user:maeda).

History

#1 - 2024-08-29 11:23 - Go MAEDA

- File change-csv-export-default-encoding.patch added

#2 - 2024-08-29 11:23 - Go MAEDA

- File deleted (change-csv-export-default-encoding.patch)

#3 - 2024-08-30 11:12 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#4 - 2024-09-01 06:27 - Go MAEDA

- Subject changed from Change default CSV encoding to UTF-8 for exports to Change the default CSV export encoding to UTF-8

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23007.
